Loading...
Searching...
No Matches
seqan3::custom Namespace Reference

A namespace for third party and standard library specialisations of SeqAn customisation points. More...

## Classes

struct | alphabet
| A type that can be specialised to provide customisation point implementations so that third party types model alphabet concepts. More...
struct | alphabet< char_type >
| Alphabet specific customisations for builtin char types. More...
struct | alphabet< uint_type >
| Alphabet specific customisations for unsigned integral types. More...
struct | argument_parsing
| A type that can be specialised to provide customisation point implementations for the seqan3::argument_parser such that third party types may be adapted. More...

## Detailed Description

A namespace for third party and standard library specialisations of SeqAn customisation points.

See also
  Customisation

Hide me